<script setup lang="ts">
import { useDateStore } from '@/stores/date'
import { useMemberStore } from '@/stores/member'
import { useReceiptStore } from '@/stores/receipt'
import { provide, ref, watch } from 'vue'

const receiptStore = useReceiptStore()
const dateStore = useDateStore()
const memberStore = useMemberStore()
const CheckSaveStatus = ref(false)

// watch(CheckSave, (newValue) => {
//   receiptStore.setSaveOnClose(newValue)
// })
</script>

<template>
  <v-dialog v-model="receiptStore.receiptDialog" persistent width="400">
    <v-card>
      <img
        src="/img/cafe/Beige and Black Purely Typographic Psychiatric Doctor Logo.png"
        width="150"
        height="150"
        style="display: block; margin: auto"
      />
      <!-- <v-card-title class="text-h5" style="text-align: center"> Receipt POS </v-card-title> -->
      <v-card-title class="text-h5" style="text-align: center"> QUEUE No.XX </v-card-title>
      <v-card-title class="text-h9" style="text-align: center">
        {{ receiptStore.receipt?.branchs?.name }}
      </v-card-title>
      <v-card-title class="text-h9" style="text-align: center">
        {{ receiptStore.receipt?.branchs?.addres }}
      </v-card-title>
      <v-card-title class="text-h9" style="text-align: center">
        โทรศัพท์
        {{ receiptStore.receipt?.branchs?.tel }}
      </v-card-title>
      <v-card-title class="text-h9" style="text-align: center">
        ใบกำกับภาษีเเบบย่อ/ใบเสร็จรับเงิน
      </v-card-title>
      <v-card-text>
        <div class="mb-1" style="text-align: end">
          {{ dateStore.day }} {{ dateStore.monthEn }} {{ dateStore.year }}
        </div>
        <div class="mb-1" style="text-align: end">
          {{ dateStore.formattedHour }}:{{ dateStore.formattedMinute }}
        </div>
        <div class="mb-1" style="text-align: end">
          Customer:
          {{ receiptStore.receipt!.user?.fullName }}
        </div>
        <div class="mb-1" style="text-align: end">
          Member:
          {{ receiptStore.receipt!.members?.fullName }}
        </div></v-card-text
      >
      <v-card-text>
        <v-table density="compact">
          <thead>
            <tr>
              <th style="text-align: start">Item</th>
              <th style="text-align: center">QTY</th>
              <th style="text-align: end">AMOUNT</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="item in receiptStore.receiptItems" :key="item.id">
              <td style="text-align: start">{{ item.name }}</td>
              <td style="text-align: center">{{ item.qty }}</td>
              <td style="text-align: center">{{ item.price }}</td>
              <!-- <td style="text-align: end">{{ item.price * item.qty }}</td> -->
            </tr>
          </tbody>
        </v-table>
        <!-- <p class="mt-2">-------------------------------------------------------</p> -->
        <v-card-text class="flex-container">
          <v-row>
            <v-col cols="6">
              <div class="mb-1" style="text-align: start">Total</div>
              <div class="mb-1" style="text-align: start">Discount</div>
              <div class="mb-1" style="text-align: start">Total Net</div>
              <div class="mb-1" style="text-align: start">Payment Type</div>
              <div class="mb-1" style="text-align: start">Received Amount</div>
              <div class="mb-1" style="text-align: start">Change</div>
            </v-col>
            <v-col cols="6">
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt!.total }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt!.discount }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt!.total }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt!.paymentType }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt!.amount }}
              </div>
              <div class="mb-1" style="text-align: end">
                {{ receiptStore.receipt!.change }}
              </div>
            </v-col>
          </v-row>
        </v-card-text>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.receiptDialog = false
              CheckSaveStatus = false
              // receiptStore.clearDate()
            }
          "
        >
          ปิด
        </v-btn>
        <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              CheckSaveStatus = true
              // receiptStore.CheckSave()
              receiptStore.addreceipts()
              receiptStore.clear()
              receiptStore.receiptDialog = false
              receiptStore.currentStep = 1
              console.log(CheckSaveStatus)
            }
          "
        >
          บันทึก
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
